<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");

$res = array();

$mensaje_array = array();

$tipo = '';
if( $_REQUEST["tipo"] ) {  $tipo = $_REQUEST['tipo'];}


//_FRECUENCIA DE RECLAMOS SUR

if ($tipo == 'Reclamo SUR reiterado')
{

                    $sql = "SELECT id , historial ";
                    $sql .= ", (X(STARTPOINT(SHAPE)) + X(ENDPOINT(SHAPE))) / 2  AS XC ";
                    $sql .= ", (Y(STARTPOINT(SHAPE)) + Y(ENDPOINT(SHAPE))) / 2  AS YC ";
                    $sql .= " FROM conexiones ";
                    $sql .= " WHERE historial LIKE '%SUR,%' AND (historial LIKE '%Conexion Rota%' OR historial LIKE '%Conexion Obstruida%')";
                    $resultado = mysqli_query($con,$sql);
                    if ($resultado != FALSE){
                        if (mysqli_num_rows($resultado) > 0){
                            while($row = mysqli_fetch_assoc($resultado))
                            {
                                                $id = $row["id"];
                                                $historial = $row["historial"];
                                                $historial_array = json_decode($historial,true);
                                                $cant_reclamos = 0;
                                                foreach($historial_array as $clave)
                                                {
                                                    $descripcion_historial = $clave['descripcion'];
                                                    if (strpos($descripcion_historial,"SUR,") !== FALSE && (strpos($descripcion_historial,"Conexion Rota") !== FALSE || strpos($descripcion_historial,"Conexion Obstruida") !== FALSE ))
                                                    $cant_reclamos++;   
                                                }
                                                if ($cant_reclamos > 1){  
                                                $elem = array(
                                                    'id'=>$row['id'],
                                                    'xc'=>$row['XC'],
                                                    'yc'=>$row['YC'],
                                                    'tipo'=>'Reclamo SUR reiterado',
                                                    'cantidad'=> $cant_reclamos
                                                        );
                                            array_push($res,$elem);
                                            }
                            }
                            $mensaje =  mysqli_num_rows($resultado) . " - Reclamos SUR reiterados";
                            array_push($mensaje_array,$mensaje);
                        }
                    }            
}
$resultado = null;


$res_total = array();
array_push($res_total,$res);
$elem = array('mensaje'=>$mensaje_array);
array_push($res_total,$elem);

mysqli_close($con);
echo json_encode($res_total);
?>